Loading...
Searching...
No Matches
Ogre::CompositorInstance::Listener Class Reference

Provides an interface to "listen in" to to render system operations executed by this CompositorInstance. More...

`#include <OgreCompositorInstance.h>`

## Public Member Functions

virtual | ~Listener ()
virtual void | notifyMaterialRender (uint32 pass_id, MaterialPtr &mat)
| Notification before a render target operation involving a material (like rendering a quad), so that material parameters can be varied.
virtual void | notifyMaterialSetup (uint32 pass_id, MaterialPtr &mat)
| Notification of when a render target operation involving a material (like rendering a quad) is compiled, so that miscellaneous parameters that are different per Compositor instance can be set up.
virtual void | notifyResourcesCreated (bool forResizeOnly)
| Notification after resources have been created (or recreated).
virtual void | notifyResourcesReleased (bool forResizeOnly)
| Notification before resources have been destructed.

## Detailed Description

Provides an interface to "listen in" to to render system operations executed by this CompositorInstance.

## Constructor & Destructor Documentation

## ~Listener()

virtual Ogre::CompositorInstance::Listener::~Listener | ( |  | ) |

virtual

## Member Function Documentation

## notifyMaterialSetup()

virtual void Ogre::CompositorInstance::Listener::notifyMaterialSetup | ( | uint32 | pass_id,
|  | MaterialPtr & | mat )

virtual

Notification of when a render target operation involving a material (like rendering a quad) is compiled, so that miscellaneous parameters that are different per Compositor instance can be set up.

Parameters

  pass_id | Pass identifier within Compositor instance, this is specified by the user by CompositionPass::setIdentifier().
  mat | Material, this may be changed at will and will only affect the current instance of the Compositor, not the global material it was cloned from.

## notifyMaterialRender()

virtual void Ogre::CompositorInstance::Listener::notifyMaterialRender | ( | uint32 | pass_id,
|  | MaterialPtr & | mat )

virtual

Notification before a render target operation involving a material (like rendering a quad), so that material parameters can be varied.

Parameters

  pass_id | Pass identifier within Compositor instance, this is specified by the user by CompositionPass::setIdentifier().
  mat | Material, this may be changed at will and will only affect the current instance of the Compositor, not the global material it was cloned from.

## notifyResourcesCreated()

virtual void Ogre::CompositorInstance::Listener::notifyResourcesCreated | ( | bool | forResizeOnly | ) |

virtual

Notification after resources have been created (or recreated).

Parameters

  forResizeOnly | Was the creation because the viewport was resized?

## notifyResourcesReleased()

virtual void Ogre::CompositorInstance::Listener::notifyResourcesReleased | ( | bool | forResizeOnly | ) |

virtual

Notification before resources have been destructed.

Parameters

  forResizeOnly | Was the creation because the viewport was resized?

The documentation for this class was generated from the following file:

- OgreCompositorInstance.h